# SPDX-License-Identifier: AGPL-3.0-or-later
"""Typification of the result items generated by the *engines*, *answerers* and
*plugins*.

.. note::

   We are at the beginning of typing the results.  Further typing will follow,
   but this is a very large task that we will only be able to implement
   gradually.  For more, please read :ref:`result types`.

"""

from __future__ import annotations

__all__ = ["Result", "AnswerSet", "Answer", "Translations"]

from ._base import Result, LegacyResult
from .answer import AnswerSet, Answer, Translations
